#   pdf-segmented: Generate PDFs using separate compression for foreground and background
#   Copyright (C) 2025  Lee Yingtong Li
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <https://www.gnu.org/licenses/>.

import shutil
import sys

def assert_has_imagemagick(error_message: str = 'ImageMagick is required') -> None:
	if shutil.which('magick') is None:
		print('Error: {} (magick not found on PATH)'.format(error_message), file=sys.stderr)
		sys.exit(1)

def assert_has_jbig2(error_message: str = 'jbig2enc is required') -> None:
	if shutil.which('jbig2') is None:
		print('Error: {} (jbig2 not found on PATH)'.format(error_message), file=sys.stderr)
		sys.exit(1)
